"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const cryptography = __importStar(require("@liskhq/lisk-cryptography"));
const utils_1 = require("./utils");
exports.createSignatureObject = (transaction, passphrase) => {
    if (!utils_1.verifyTransaction(transaction)) {
        throw new Error('Invalid transaction.');
    }
    if (!transaction.id) {
        throw new Error('Transaction ID is required to create a signature object.');
    }
    const { publicKey } = cryptography.getPrivateAndPublicKeyFromPassphrase(passphrase);
    return {
        transactionId: transaction.id,
        publicKey,
        signature: utils_1.multiSignTransaction(transaction, passphrase),
    };
};
//# sourceMappingURL=create_signature_object.js.map